> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Delete a contact request custom form

DELETE https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/forms/contact-request/

Reset the current custom contact request form for the directory to the global default version.

Reference: https://docs.partnerpage.io/api-reference/directory/forms/delete-a-contact-request-custom-form

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — ID of the directory to reset the contact form for

## Response

### 204

Form reset to default successfully

## Errors

### 403 Forbidden Error

User is not allowed to update this directory

- `any`

### 404 Not Found Error

Directory or default form not found

- `any`

## Examples

**SDK Code**

```python
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/forms/contact-request/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/forms/contact-request/';
const options = {method: 'DELETE', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```